Click or drag to resize
ReplayHistoryResultUpdateToClippingPlane Method (Plane, Double, Double, Guid, ObjectAttributes)

[Missing <summary> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

Namespace: Rhino.DocObjects
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public bool UpdateToClippingPlane(
	Plane plane,
	double uMagnitude,
	double vMagnitude,
	Guid clippedViewportId,
	ObjectAttributes attributes
)

Parameters

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

uMagnitude
Type: SystemDouble

[Missing <param name="uMagnitude"/> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

vMagnitude
Type: SystemDouble

[Missing <param name="vMagnitude"/> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

clippedViewportId
Type: SystemGuid

[Missing <param name="clippedViewportId"/> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

attributes
Type: Rhino.DocObjectsObjectAttributes

[Missing <param name="attributes"/> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.DocObjects.ReplayHistoryResult.UpdateToClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Guid,Rhino.DocObjects.ObjectAttributes)"]

See Also